#include <iostream>

using namespace std;

int main()
{
    char c1, c2;
    scanf("%c%c", &c1, &c2);
    int a1, a2;
    cin >> a1 >> a2;
    if(abs(a1-a2) > 1) cout << "nemoguce";
    else
    {
        if (a2 == a1)
        {
            for(int i = 0; i < a1; i++)
            {
                cout << c2 << c1;
            }
        }
        else if(a2 > a1)
        {
            for(int i = 0; i < a1; i++)
            {
                cout << c2 << c1;
            }
            cout << c2;
        }
        else
        {
            for(int i = 0; i < a2; i++)
            {
                cout << c1 << c2;
            }
            cout << c1;
        }
    }
    return 0;
}